How to install google earth on Calculate?

Added by travis bickle 13 days ago

New CLDL user is here. This is my first experience with Gentoo based systems. So far so good, Calculate works perfectly on top of my system. However, I have problem with installing google earth on Calculate. It seems that this package is not available as binary or source file. I found some packages at https://gpo.zugaina.org/sci-geosciences/googleearth but I am totally newbie to layman concept. Please help me to add these repositories and install google earth on my system.


Replies (2)

RE: How to install google earth on Calculate? - Added by Jose Jurado 13 days ago

Hi Travis,
I'm not an expert, and this is how I would do it, checking through my notes, and it may not be the quickest and most efficient way, but in case you are interested and can keep you happy with Gentoo, do the following (not as root, but using sudo where noted). Note how the googleearth-7.3.2 belongs to the layman source, and mv overlay.

Note also what the full package name is: sci-geosciences/googleearth and not just googleearth, in case there ever is a variant that is not from the sci-geosciences group somewhere e.g. on another overlay that you installed.

# update your system
cl-update

# install layman
sudo emerge layman 

# install mv
sudo layman -a mv

sudo layman-updater -R
sudo emerge --info --verbose
sudo portageq repos_config /
sudo eix-sync
sudo emaint sync --allrepos

# install package
sudo emerge sci-geosciences/googleearth 

# In case it complains about autounmask-write, 
# a quick way to handle this, unless you want to
# read and check things deeper, is-

sudo emerge sci-geosciences/googleearth --autounmask-write 
sudo dispatch-conf
# Then type the letter 'u' when it asks you
# whether to 'use new' configuration or otherwise.

# repeat as at first-
sudo emerge sci-geosciences/googleearth 

Again, if someone can point out unnecessary steps, etc., please do.

I hope that you will enjoy Calculate Linux!

RE: How to install google earth on Calculate? - Added by travis bickle 11 days ago

Thank you very much Sir.
I could install mv overlay. But emerge couldn't fetch google earth source file. Seems that I must try other overlays.

(1-2/2)

Thank you!